@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lobster+Two&family=Poppins:wght@300&display=swap');

*{
    margin: 0;
    padding: 0;
}

body{
    font-family: 'Poppins', sans-serif;
    perspective: 1000px;

}

.index{
    background-image: linear-gradient( 135deg, #43CBFF 10%, #9708CC 100%);
    background-position: center;
    background-repeat: none;
    background-size: cover;
    overflow: hidden;
}

.about-me{
    background-image: linear-gradient( 135deg, #92FFC0 10%, #002661 100%);
    background-position: center;
    background-repeat: none;
    background-size: cover;
    height: 150vh;
    background-position: bottom;
}

.skills-goals{
    background-image: linear-gradient( 135deg, #FD6585 10%, #0D25B9 100%);
    background-position: center;
    background-repeat: none;
    background-size: cover;
    height: 150vh;


}

.contact{
    background-image: linear-gradient( 135deg, #F05F57 10%, #360940 100%);
    font-size: 25px;
    font-weight: bold;
    background-position: center;
    background-repeat: none;
    background-size: cover;
}
.activ{
    color: #fff;
    text-decoration: line-through ;
}

nav{
    display: flex;
    height: 30px;
    width: 100%;
    justify-content: center;
    align-items: center;
    
    
}

nav a{
    text-decoration: none;
    color: rgb(39, 27, 104);
    font-size: 25px;
    padding-left: 70px;
    margin-top: 40px;
    font-weight: bold;
    

}

nav a:hover{
    text-decoration:line-through;
    color: #fff;
    font-size: 25px;
    padding-left: 70px;
    margin-top: 40px;
    font-weight: bold;
    

}
.hamburger{
    width: 50px;
    height: 50px;
    border: 3px solid rgb(39, 27, 104);
    border-radius: 50%;
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: fixed;
    right: 10px;
    top: 10px;
    z-index: 5;

}

.h-top{
    height: 5px;
    width: 30px;
    background-color:rgb(39, 27, 104);
    margin: 2px;
    border-radius: 25px;
}

.h-mid{
    height: 5px;
    width: 30px;
    background-color: rgb(39, 27, 104);
    margin: 2px;
    border-radius: 25px;
}

.h-btm{
    height: 5px;
    width: 30px;
    background-color: rgb(39, 27, 104);
    margin: 2px;
    border-radius: 25px;
    
}

.h-overlay{
    width: 100%;
    height: 200%;
    display: none;
    background-color: rgb(39, 27, 104);
    position: absolute;
    z-index: 4;
}
ul{

    display: flex;
    flex-direction: column;
    height: 100vh;
    width: 100%;
    justify-content: center;
    align-items: center;
    color: rgb(39, 27, 104);
    text-decoration: none;
    
}

ul li{

    list-style: none;

}

ul li a{
    text-decoration: none;
    color: #43CBFF;
    font-size: 25px;
    padding: 10px;
    font-weight: bold;
}

ul li a:hover{
    text-decoration: line-through;
    color: #fff;
    font-size: 25px;
    font-weight: bold;
}

.img-wrapper{
    width: 50%;
    height: 80vh;
    margin-top: 50px;
    margin-bottom: 200px;
    display: flex;
    justify-content: center;
    align-items: center;
  
}

.main-img{
    margin-top: 50px;
    border-radius: 20px;
    margin-bottom: 20px;
   




}

.name{
    position: fixed;
    text-align: left;
    left: 40%;
    top: 15%;
    font-size: 40px;
    font-family: 'Lobster Two' ;
    color: #00FFFF;
    z-index: 3;
}



.home-content{
    width: 30%;
    height: 500px;
    position: absolute;
    display: flex;
    justify-content: center;
    top: 30%;
    right: 10%;
    font-size: 20px;
    color: #fff;
    text-align: left;
}

.not-activ{
    text-decoration: line-through ;
    color: #F05F57;
    cursor:not-allowed;
}

.not-activ:hover{
    color: #F05F57;
}

/* .cursor{
    width: 40px;
    height: 40px;
    border: 1px solid #1d1d1d;
    border-radius: 50%;
    pointer-events: none;
    position: absolute;
    z-index: 10;
    transform: translate(-50%, -50%);
    transform-origin: 100% 100%; 
  
    

}

.cursor-img-hover{
    transform: scale(1.5);
    backdrop-filter: grayscale(100%);
    
} */



@media only screen and (max-width: 1000px) {
    .index{
        overflow-y: scroll;
    }
    nav a{
        display: none;
    }
    .hamburger{
        display: flex;
    }

    
    .main-img{
        width: 300px;
        display: block;
        margin-left: 170px;
        margin-bottom: -50px;
   
    }
    .name{
        top: 20px;
        left: 10%;
    }
    .home-content{
        width: 80%;
        position: relative;
        display: block;
        justify-content: center;
        margin-left: 15%;
        margin-bottom: 30px;
        margin-top: -100px;
        font-size: 23px;
        color: #fff;
        text-align: center;
    }
} 